Bug 177216 - current_fs_time() NULL pointer deref
current_fs_time() NULL pointer deref
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 14:42 EST by Bryce
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 07:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce 2006-01-07 14:42:26 EST
2.6.15-1.1823_FC4smp

busy typing about last kernel bug in an xterm when the kernel decided that it
didn't like being badmouthed....


Jan  7 19:32:08 Emerald kernel: Unable to handle kernel NULL pointer dereference
at virtual address 000001dc
Jan  7 19:32:08 Emerald kernel:  printing eip:
Jan  7 19:32:08 Emerald kernel: c0129f99
Jan  7 19:32:08 Emerald kernel: *pde = 35351001
Jan  7 19:32:08 Emerald kernel: Oops: 0000 [#1]
Jan  7 19:32:08 Emerald kernel: SMP 
Jan  7 19:32:08 Emerald kernel: last sysfs file: /class/vc/vcsa7/dev
Jan  7 19:32:08 Emerald kernel: Modules linked in: parport_pc lp parport autofs4
sunrpc ipv6 vfat fat joydev ov511 wacom dm_mod video button battery ac ohci1394
ieee1394 usb_storage uhci
_hcd bt878 tuner bttv video_buf i2c_algo_bit v4l2_common btcx_risc tveeprom
videodev budget_ci tda1004x budget_core saa7146 ttpci_eeprom stv0299 dvb_core
stv0297 i2c_i801 i2c_core snd_in
tel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event
snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc e100 mii f
loppy ext3 jbd ata_piix libata sd_mod scsi_mod
Jan  7 19:32:08 Emerald kernel: CPU:    0
Jan  7 19:32:08 Emerald kernel: EIP:    0060:[current_fs_time+72/117]    Not
tainted VLI
Jan  7 19:32:08 Emerald kernel: EIP:    0060:[<c0129f99>]    Not tainted VLI
Jan  7 19:32:08 Emerald kernel: EFLAGS: 00010246   (2.6.15-1.1823_FC4smp) 
Jan  7 19:32:08 Emerald kernel: EIP is at current_fs_time+0x48/0x75
Jan  7 19:32:08 Emerald kernel: eax: f78d3f34   ebx: 119eb054   ecx: 00000000  
edx: 00000000
Jan  7 19:32:08 Emerald kernel: esi: 43c0172c   edi: 00000001   ebp: 00000000  
esp: f78d3f28
Jan  7 19:32:08 Emerald kernel: ds: 007b   es: 007b   ss: 0068
Jan  7 19:32:08 Emerald kernel: Process xterm (pid: 3257, threadinfo=f78d3000
task=f7d80000)
Jan  7 19:32:08 Emerald kernel: Stack: 00000000 00000000 f78d3f6c 00100100
00200200 f7236b98 f4c9b000 00000001 
Jan  7 19:32:08 Emerald kernel:        00000000 c023af56 00000001 09f65ea9
c023feb2 00000001 f4c9b00c 00000001 
Jan  7 19:32:08 Emerald kernel:        00000001 f7d804c4 43c0172c f5cbdac8
00000001 09f65ea8 c023ad8a c016adc2 
Jan  7 19:32:08 Emerald kernel: Call Trace:
Jan  7 19:32:08 Emerald kernel:  [tty_write+460/506] tty_write+0x1cc/0x1fa    
[write_chan+0/483] write_chan+0x0/0x1e3
Jan  7 19:32:08 Emerald kernel:  [<c023af56>] tty_write+0x1cc/0x1fa    
[<c023feb2>] write_chan+0x0/0x1e3
Jan  7 19:32:08 Emerald kernel:  [tty_write+0/506] tty_write+0x0/0x1fa    
[vfs_write+162/346] vfs_write+0xa2/0x15a
Jan  7 19:32:08 Emerald kernel:  [<c023ad8a>] tty_write+0x0/0x1fa    
[<c016adc2>] vfs_write+0xa2/0x15a
Jan  7 19:32:08 Emerald kernel:  [sys_write+65/106] sys_write+0x41/0x6a    
[syscall_call+7/11] syscall_call+0x7/0xb
Jan  7 19:32:08 Emerald kernel:  [<c016af25>] sys_write+0x41/0x6a    
[<c0104085>] syscall_call+0x7/0xb
Jan  7 19:32:08 Emerald kernel: Code: 8b 1d 14 cf 4a c0 8b 35 10 cf 4a c0 0f ae
e8 8d 76 00 89 ca 83 e2 01 8b 0d 80 8c 3f c0 31 c8 09 c2 75 d5 8d 44 24 0c 8b 4c
24 04 <8b> 91 dc 01 00 00
 89 14 24 89 f2 89 d9 e8 1b 00 00 00 8b 44 24 

Additional info:
Comment 1 Dave Jones 2006-09-16 22:54:57 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.